gr::ieee802_15_4::stubborn_sender Class Reference

`#include <stubborn_sender.h>`

## Public Member Functions

| stubborn_sender (rime_stack *block, ruc_connection *caller, pmt::pmt_t mac_outport)
void | start (long retxtime=1000L, int retxs=3)
void | enqueue (pmt::pmt_t msg)
void | stop ()

## Constructor & Destructor Documentation

## stubborn_sender()

gr::ieee802_15_4::stubborn_sender::stubborn_sender | ( | rime_stack * | block,
|  | ruc_connection * | caller,
|  | pmt::pmt_t | mac_outport
| ) |  |

## Member Function Documentation

## enqueue()

void gr::ieee802_15_4::stubborn_sender::enqueue | ( | pmt::pmt_t | msg | ) |

## start()

void gr::ieee802_15_4::stubborn_sender::start | ( | long | retxtime = `1000L`,
|  | int | retxs = `3`
| ) |  |

## stop()

void gr::ieee802_15_4::stubborn_sender::stop | ( |  | ) |

The documentation for this class was generated from the following file:

- stubborn_sender.h